Package net.sf.saxon.expr.flwor

## Class TraceClausePull

- java.lang.Object
- - net.sf.saxon.expr.flwor.TuplePull
  - - net.sf.saxon.expr.flwor.TraceClausePull

-     public class TraceClausePull
      extends TuplePull

  This class represents the tuple stream delivered as the output of a trace clause in a FLWOR expression. It does not change the values of any variables in the tuple stream, but merely informs the TraceListener whenever a new tuple is requested.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TraceClausePull​(TuplePull base, TraceClause traceClause, Clause baseClause)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` | Close the tuple stream, indicating that although not all tuples have been read, no further tuples are required and resources can be released
    `boolean` | `nextTuple​(XPathContext context)` | Move on to the next tuple.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TraceClausePull

          public TraceClausePull​(TuplePull base,
                                 TraceClause traceClause,
                                 Clause baseClause)

  - ### Method Detail

    - #### nextTuple

          public boolean nextTuple​(XPathContext context)
                            throws XPathException

      Move on to the next tuple. Before returning, this method must set all the variables corresponding to the "returned" tuple in the local stack frame associated with the context object
      Specified by:
        `nextTuple` in class `TuplePull`
      Parameters:
        `context` - the dynamic evaluation context
      Returns:
        true if another tuple has been generated; false if the tuple stream is exhausted. If the method returns false, the values of the local variables corresponding to this tuple stream are undefined.
      Throws:
        `XPathException`

    - #### close

          public void close()

      Close the tuple stream, indicating that although not all tuples have been read, no further tuples are required and resources can be released
      Overrides:
        `close` in class `TuplePull`